DHPublicKeySpec (GNU cryptographic primitives and tools)
Keywords: javax.crypto.spec.DHPublicKeySpec,DHPublicKeySpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.spec
Class DHPublicKeySpec

    java.lang.Object
      |
      +--javax.crypto.spec.DHPublicKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

public class DHPublicKeySpec
extends java.lang.Object
implements java.security.spec.KeySpec

This class specifies a Diffie-Hellman public key with its associated parameters.

See Also:
  `DHPrivateKeySpec`

Constructor Summary
`DHPublicKeySpec(java.math.BigInteger y, java.math.BigInteger p, java.math.BigInteger g)` Constructor that takes a public value `y`, a prime modulus `p`, and a base generator `g`.

Method Summary
`java.math.BigInteger` | `getG()` Returns the base generator `g`.
`java.math.BigInteger` | `getP()` Returns the prime modulus `p`.
`java.math.BigInteger` | `getY()` Returns the public value `y`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHPublicKeySpec

    public DHPublicKeySpec(java.math.BigInteger y,
                           java.math.BigInteger p,
                           java.math.BigInteger g)

  Constructor that takes a public value `y`, a prime modulus `p`, and a base generator `g`.

Method Detail

### getY

    public java.math.BigInteger getY()

  Returns the public value `y`.

  Returns:
    the public value `y`

### getP

    public java.math.BigInteger getP()

  Returns the prime modulus `p`.

  Returns:
    the prime modulus `p`

### getG

    public java.math.BigInteger getG()

  Returns the base generator `g`.

  Returns:
    the base generator `g`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.